---
title: Grant Application Form
product: PDF Generator
description: Get a printable grant application form in PDF. Create editable or prefilled grant request forms using SurveyJS PDF Generator.
framework: Vanilla JS
source: https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/vanillajs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Grant Application Form (Vanilla JS)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import { SurveyPDF } from "survey-pdf";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

const survey = new Model(json);
survey.showCompleteButton = false;
survey.navigationButtonsLocation = "topBottom";
survey.addNavigationItem({
    id: "survey_save_as_file",
    title: "Download PDF",
    action: () => {
        saveSurveyToPdf("surveyResult.pdf", survey);
    }
});
survey.addNavigationItem({
    id: "survey_pdf_preview",
    title: "Preview PDF",
    visible: window.navigator.pdfViewerEnabled,
    action: () => {
        previewPdf(survey);
    }
});
survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
  "title": "Grant Application Form for NPO",
  "pages": [
    {
      "name": "contact-information",
      "title": "1. Contact Information",
      "elements": [
        {
          "type": "text",
          "name": "contact-information-name",
          "title": "Name"
        },
        {
          "type": "text",
          "name": "contact-information-reg-number",
          "startWithNewLine": false,
          "title": "Organization registration number or date of birth"
        },
        {
          "type": "text",
          "name": "contact-information-address",
          "title": "Postal address"
        },
        {
          "type": "text",
          "name": "contact-information-municipality",
          "title": "Municipality"
        },
        {
          "type": "text",
          "name": "contact-information-county",
          "startWithNewLine": false,
          "title": "County"
        },
        {
          "type": "text",
          "name": "contact-information-tel",
          "title": "Telephone number including country and area codes"
        },
        {
          "type": "text",
          "name": "contact-information-fax",
          "startWithNewLine": false,
          "title": "Fax number including country and area codes (if applicable)"
        },
        {
          "type": "text",
          "name": "contact-information-email",
          "title": "Email address",
          "inputType": "email"
        },
        {
          "type": "text",
          "name": "contact-information-website",
          "startWithNewLine": false,
          "title": "Website (if applicable)",
          "inputType": "url"
        },
        {
          "type": "text",
          "name": "contact-information-contact-person",
          "title": "Contact person (project manager, if applicable)"
        }
      ]
    },
    {
      "name": "applicant-details",
      "title": "2. Information About the Applicant",
      "elements": [
        {
          "type": "boolean",
          "name": "VAT",
          "displayMode": "checkbox",
          "title": "Registered for VAT"
        },
        {
          "type": "boolean",
          "name": "registered-employer",
          "displayMode": "checkbox",
          "title": "Registered as an employer",
          "startWithNewLine": false
        },
        {
          "type": "text",
          "name": "vat-number",
          "title": "VAT registration number",
          "description": "Complete if the applicant is registered for VAT."
        },
        {
          "type": "boolean",
          "name": "bankruptcy",
          "displayMode": "checkbox",
          "title": "The applicant is in a state of bankruptcy, under administration, or has debts for taxes or social security contributions"
        },
        {
          "type": "checkbox",
          "name": "use",
          "title": "The grant will be used for the following activities (if applicable)",
          "choices": [
            {
              "value": "business",
              "text": "Business activity"
            },
            {
              "value": "vat",
              "text": "Activity that requires filing VAT returns"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "organization-form",
          "title": "Organizational form",
          "colCount": 2,
          "showOtherItem": true,
          "choices": [
            "Non-profit organization",
            "Foundation",
            "Limited company",
            "Registered religious community"
          ]
        },
        {
          "type": "text",
          "name": "operational-focus",
          "title": "Organization's operational focus"
        },
        {
          "type": "text",
          "name": "foundation-date",
          "startWithNewLine": false,
          "title": "Date the organization was formed",
          "inputType": "date"
        },
        {
          "type": "text",
          "name": "number-members",
          "title": "Number of members",
          "inputType": "number"
        },
        {
          "type": "text",
          "name": "number-employees",
          "startWithNewLine": false,
          "title": "Number of employees",
          "inputType": "number"
        },
        {
          "type": "paneldynamic",
          "name": "board-members",
          "title": "Board members or management representatives",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Member {panelIndex}",
          "addPanelText": "Add member",
          "templateElements": [
            {
              "type": "text",
              "name": "name",
              "title": "Name"
            },
            {
              "type": "text",
              "name": "address",
              "title": "Address",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "telephone",
              "title": "Telephone number",
              "inputType": "phone"
            },
            {
              "type": "text",
              "name": "email",
              "title": "Email address",
              "startWithNewLine": false,
              "inputType": "email"
            }
          ]
        }
      ]
    },
    {
      "name": "grant-details",
      "title": "3. Grant Information",
      "elements": [
        {
          "type": "text",
          "name": "grant-details-name",
          "title": "Name of the grant"
        },
        {
          "type": "text",
          "name": "grant-details-reference-number",
          "startWithNewLine": false,
          "title": "Government Offices reference number"
        },
        {
          "type": "text",
          "name": "grant-details-ministry",
          "title": "Ministry responsible for approving the grant (if known)"
        },
        {
          "type": "text",
          "name": "grant-details-amount",
          "startWithNewLine": false,
          "title": "Amount requested"
        }
      ]
    },
    {
      "name": "planned-activities",
      "title": "4. Planned Activities",
      "elements": [
        {
          "type": "comment",
          "name": "purpose",
          "title": "Purpose and objectives of the planned activities"
        },
        {
          "type": "comment",
          "name": "target-groups",
          "title": "Target groups"
        },
        {
          "type": "comment",
          "name": "planned-activities-question",
          "title": "Describe the planned activities"
        },
        {
          "type": "comment",
          "name": "own-contribution",
          "title": "Describe the applicant's own contribution to the activities"
        },
        {
          "type": "comment",
          "name": "need",
          "title": "Explain the need for the planned activities"
        },
        {
          "type": "panel",
          "name": "period",
          "title": "Period during which the activities will be carried out",
          "elements": [
            {
              "type": "text",
              "name": "from",
              "title": "From",
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "to",
              "startWithNewLine": false,
              "title": "To",
              "inputType": "date"
            }
          ]
        },
        {
          "type": "comment",
          "name": "gender",
          "title": "How will gender equality be considered in the planned activities?"
        },
        {
          "type": "paneldynamic",
          "name": "collaborations",
          "title": "Collaborating organizations or institutions (if applicable)",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Collaboration {panelIndex}",
          "addPanelText": "Add collaboration",
          "templateElements": [
            {
              "type": "text",
              "name": "organization",
              "title": "Organization or institution"
            },
            {
              "type": "comment",
              "name": "collaboration-description",
              "title": "Describe the collaboration",
              "rows": 2
            }
          ]
        },
        {
          "type": "comment",
          "name": "part",
          "title": "If only part of the grant is awarded, which activities will still be carried out?"
        }
      ]
    },
    {
      "name": "skills",
      "title": "5. Skills and Experience",
      "elements": [
        {
          "type": "comment",
          "name": "skills-prospects",
          "title": "Describe the applicant's ability to carry out the proposed activities"
        },
        {
          "type": "comment",
          "name": "skills-activities",
          "title": "Describe similar activities that have previously been conducted"
        },
        {
          "type": "file",
          "name": "skills-ani-corruption",
          "title": "Attach the applicant's anti-corruption policy or an equivalent document (if available)",
          "waitForUpload": true
        },
        {
          "type": "file",
          "name": "skills-risk-analysis",
          "startWithNewLine": false,
          "title": "Attach the applicant's risk analysis for the proposed activities (if available)",
          "waitForUpload": true
        },
        {
          "type": "comment",
          "name": "skills-other-information",
          "title": "Other information that supports the applicant's ability to carry out the activities"
        }
      ]
    },
    {
      "name": "references",
      "title": "6. References",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "references-panel",
          "title": "References",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Reference {panelIndex}",
          "addPanelText": "Add reference",
          "templateElements": [
            {
              "type": "text",
              "name": "name",
              "title": "Name"
            },
            {
              "type": "text",
              "name": "address",
              "title": "Address",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "telephone",
              "title": "Telephone number",
              "inputType": "phone"
            },
            {
              "type": "text",
              "name": "email",
              "title": "Email address",
              "startWithNewLine": false,
              "inputType": "email"
            }
          ]
        }
      ]
    },
    {
      "name": "other-information",
      "title": "7. Other Information",
      "elements": [
        {
          "type": "comment",
          "name": "other-information-box",
          "title": "Provide any additional information that may support this application"
        }
      ]
    }
  ],
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest",
    "survey-pdf": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/angular.md)
- [React](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/jquery.md)


---
title: Grant Application Form
product: PDF Generator
description: Get a printable grant application form in PDF. Create editable or prefilled grant request forms using SurveyJS PDF Generator.
framework: React
source: https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/reactjs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Grant Application Form (React)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/SurveyPdfComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

function SurveyPdfComponent () {
    const survey = new Model(json);
    survey.showCompleteButton = false;
    survey.navigationButtonsLocation = "topBottom";
    survey.addNavigationItem({
        id: "survey_save_as_file",
        title: "Download PDF",
        action: () => {
            saveSurveyToPdf("surveyResult.pdf", survey);
        }
    });
    survey.addNavigationItem({
        id: "survey_pdf_preview",
        title: "Preview PDF",
        visible: window.navigator.pdfViewerEnabled,
        action: () => {
            previewPdf(survey);
        }
    });
    return (<Survey model={survey} />);
}

export default SurveyPdfComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyPdfComponent from "./SurveyPdfComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyPdfComponent />);
```

### `src/json.js`

```js
export const json = {
  "title": "Grant Application Form for NPO",
  "pages": [
    {
      "name": "contact-information",
      "title": "1. Contact Information",
      "elements": [
        {
          "type": "text",
          "name": "contact-information-name",
          "title": "Name"
        },
        {
          "type": "text",
          "name": "contact-information-reg-number",
          "startWithNewLine": false,
          "title": "Organization registration number or date of birth"
        },
        {
          "type": "text",
          "name": "contact-information-address",
          "title": "Postal address"
        },
        {
          "type": "text",
          "name": "contact-information-municipality",
          "title": "Municipality"
        },
        {
          "type": "text",
          "name": "contact-information-county",
          "startWithNewLine": false,
          "title": "County"
        },
        {
          "type": "text",
          "name": "contact-information-tel",
          "title": "Telephone number including country and area codes"
        },
        {
          "type": "text",
          "name": "contact-information-fax",
          "startWithNewLine": false,
          "title": "Fax number including country and area codes (if applicable)"
        },
        {
          "type": "text",
          "name": "contact-information-email",
          "title": "Email address",
          "inputType": "email"
        },
        {
          "type": "text",
          "name": "contact-information-website",
          "startWithNewLine": false,
          "title": "Website (if applicable)",
          "inputType": "url"
        },
        {
          "type": "text",
          "name": "contact-information-contact-person",
          "title": "Contact person (project manager, if applicable)"
        }
      ]
    },
    {
      "name": "applicant-details",
      "title": "2. Information About the Applicant",
      "elements": [
        {
          "type": "boolean",
          "name": "VAT",
          "displayMode": "checkbox",
          "title": "Registered for VAT"
        },
        {
          "type": "boolean",
          "name": "registered-employer",
          "displayMode": "checkbox",
          "title": "Registered as an employer",
          "startWithNewLine": false
        },
        {
          "type": "text",
          "name": "vat-number",
          "title": "VAT registration number",
          "description": "Complete if the applicant is registered for VAT."
        },
        {
          "type": "boolean",
          "name": "bankruptcy",
          "displayMode": "checkbox",
          "title": "The applicant is in a state of bankruptcy, under administration, or has debts for taxes or social security contributions"
        },
        {
          "type": "checkbox",
          "name": "use",
          "title": "The grant will be used for the following activities (if applicable)",
          "choices": [
            {
              "value": "business",
              "text": "Business activity"
            },
            {
              "value": "vat",
              "text": "Activity that requires filing VAT returns"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "organization-form",
          "title": "Organizational form",
          "colCount": 2,
          "showOtherItem": true,
          "choices": [
            "Non-profit organization",
            "Foundation",
            "Limited company",
            "Registered religious community"
          ]
        },
        {
          "type": "text",
          "name": "operational-focus",
          "title": "Organization's operational focus"
        },
        {
          "type": "text",
          "name": "foundation-date",
          "startWithNewLine": false,
          "title": "Date the organization was formed",
          "inputType": "date"
        },
        {
          "type": "text",
          "name": "number-members",
          "title": "Number of members",
          "inputType": "number"
        },
        {
          "type": "text",
          "name": "number-employees",
          "startWithNewLine": false,
          "title": "Number of employees",
          "inputType": "number"
        },
        {
          "type": "paneldynamic",
          "name": "board-members",
          "title": "Board members or management representatives",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Member {panelIndex}",
          "addPanelText": "Add member",
          "templateElements": [
            {
              "type": "text",
              "name": "name",
              "title": "Name"
            },
            {
              "type": "text",
              "name": "address",
              "title": "Address",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "telephone",
              "title": "Telephone number",
              "inputType": "phone"
            },
            {
              "type": "text",
              "name": "email",
              "title": "Email address",
              "startWithNewLine": false,
              "inputType": "email"
            }
          ]
        }
      ]
    },
    {
      "name": "grant-details",
      "title": "3. Grant Information",
      "elements": [
        {
          "type": "text",
          "name": "grant-details-name",
          "title": "Name of the grant"
        },
        {
          "type": "text",
          "name": "grant-details-reference-number",
          "startWithNewLine": false,
          "title": "Government Offices reference number"
        },
        {
          "type": "text",
          "name": "grant-details-ministry",
          "title": "Ministry responsible for approving the grant (if known)"
        },
        {
          "type": "text",
          "name": "grant-details-amount",
          "startWithNewLine": false,
          "title": "Amount requested"
        }
      ]
    },
    {
      "name": "planned-activities",
      "title": "4. Planned Activities",
      "elements": [
        {
          "type": "comment",
          "name": "purpose",
          "title": "Purpose and objectives of the planned activities"
        },
        {
          "type": "comment",
          "name": "target-groups",
          "title": "Target groups"
        },
        {
          "type": "comment",
          "name": "planned-activities-question",
          "title": "Describe the planned activities"
        },
        {
          "type": "comment",
          "name": "own-contribution",
          "title": "Describe the applicant's own contribution to the activities"
        },
        {
          "type": "comment",
          "name": "need",
          "title": "Explain the need for the planned activities"
        },
        {
          "type": "panel",
          "name": "period",
          "title": "Period during which the activities will be carried out",
          "elements": [
            {
              "type": "text",
              "name": "from",
              "title": "From",
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "to",
              "startWithNewLine": false,
              "title": "To",
              "inputType": "date"
            }
          ]
        },
        {
          "type": "comment",
          "name": "gender",
          "title": "How will gender equality be considered in the planned activities?"
        },
        {
          "type": "paneldynamic",
          "name": "collaborations",
          "title": "Collaborating organizations or institutions (if applicable)",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Collaboration {panelIndex}",
          "addPanelText": "Add collaboration",
          "templateElements": [
            {
              "type": "text",
              "name": "organization",
              "title": "Organization or institution"
            },
            {
              "type": "comment",
              "name": "collaboration-description",
              "title": "Describe the collaboration",
              "rows": 2
            }
          ]
        },
        {
          "type": "comment",
          "name": "part",
          "title": "If only part of the grant is awarded, which activities will still be carried out?"
        }
      ]
    },
    {
      "name": "skills",
      "title": "5. Skills and Experience",
      "elements": [
        {
          "type": "comment",
          "name": "skills-prospects",
          "title": "Describe the applicant's ability to carry out the proposed activities"
        },
        {
          "type": "comment",
          "name": "skills-activities",
          "title": "Describe similar activities that have previously been conducted"
        },
        {
          "type": "file",
          "name": "skills-ani-corruption",
          "title": "Attach the applicant's anti-corruption policy or an equivalent document (if available)",
          "waitForUpload": true
        },
        {
          "type": "file",
          "name": "skills-risk-analysis",
          "startWithNewLine": false,
          "title": "Attach the applicant's risk analysis for the proposed activities (if available)",
          "waitForUpload": true
        },
        {
          "type": "comment",
          "name": "skills-other-information",
          "title": "Other information that supports the applicant's ability to carry out the activities"
        }
      ]
    },
    {
      "name": "references",
      "title": "6. References",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "references-panel",
          "title": "References",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Reference {panelIndex}",
          "addPanelText": "Add reference",
          "templateElements": [
            {
              "type": "text",
              "name": "name",
              "title": "Name"
            },
            {
              "type": "text",
              "name": "address",
              "title": "Address",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "telephone",
              "title": "Telephone number",
              "inputType": "phone"
            },
            {
              "type": "text",
              "name": "email",
              "title": "Email address",
              "startWithNewLine": false,
              "inputType": "email"
            }
          ]
        }
      ]
    },
    {
      "name": "other-information",
      "title": "7. Other Information",
      "elements": [
        {
          "type": "comment",
          "name": "other-information-box",
          "title": "Provide any additional information that may support this application"
        }
      ]
    }
  ],
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest",
    "survey-pdf": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/angular.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/vanillajs.md)


---
title: Grant Application Form
product: PDF Generator
description: Get a printable grant application form in PDF. Create editable or prefilled grant request forms using SurveyJS PDF Generator.
framework: Angular
source: https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/angular
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Grant Application Form (Angular)

## Files

### `src/app/components/json.ts`

```ts
export const json = {
  "title": "Grant Application Form for NPO",
  "pages": [
    {
      "name": "contact-information",
      "title": "1. Contact Information",
      "elements": [
        {
          "type": "text",
          "name": "contact-information-name",
          "title": "Name"
        },
        {
          "type": "text",
          "name": "contact-information-reg-number",
          "startWithNewLine": false,
          "title": "Organization registration number or date of birth"
        },
        {
          "type": "text",
          "name": "contact-information-address",
          "title": "Postal address"
        },
        {
          "type": "text",
          "name": "contact-information-municipality",
          "title": "Municipality"
        },
        {
          "type": "text",
          "name": "contact-information-county",
          "startWithNewLine": false,
          "title": "County"
        },
        {
          "type": "text",
          "name": "contact-information-tel",
          "title": "Telephone number including country and area codes"
        },
        {
          "type": "text",
          "name": "contact-information-fax",
          "startWithNewLine": false,
          "title": "Fax number including country and area codes (if applicable)"
        },
        {
          "type": "text",
          "name": "contact-information-email",
          "title": "Email address",
          "inputType": "email"
        },
        {
          "type": "text",
          "name": "contact-information-website",
          "startWithNewLine": false,
          "title": "Website (if applicable)",
          "inputType": "url"
        },
        {
          "type": "text",
          "name": "contact-information-contact-person",
          "title": "Contact person (project manager, if applicable)"
        }
      ]
    },
    {
      "name": "applicant-details",
      "title": "2. Information About the Applicant",
      "elements": [
        {
          "type": "boolean",
          "name": "VAT",
          "displayMode": "checkbox",
          "title": "Registered for VAT"
        },
        {
          "type": "boolean",
          "name": "registered-employer",
          "displayMode": "checkbox",
          "title": "Registered as an employer",
          "startWithNewLine": false
        },
        {
          "type": "text",
          "name": "vat-number",
          "title": "VAT registration number",
          "description": "Complete if the applicant is registered for VAT."
        },
        {
          "type": "boolean",
          "name": "bankruptcy",
          "displayMode": "checkbox",
          "title": "The applicant is in a state of bankruptcy, under administration, or has debts for taxes or social security contributions"
        },
        {
          "type": "checkbox",
          "name": "use",
          "title": "The grant will be used for the following activities (if applicable)",
          "choices": [
            {
              "value": "business",
              "text": "Business activity"
            },
            {
              "value": "vat",
              "text": "Activity that requires filing VAT returns"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "organization-form",
          "title": "Organizational form",
          "colCount": 2,
          "showOtherItem": true,
          "choices": [
            "Non-profit organization",
            "Foundation",
            "Limited company",
            "Registered religious community"
          ]
        },
        {
          "type": "text",
          "name": "operational-focus",
          "title": "Organization's operational focus"
        },
        {
          "type": "text",
          "name": "foundation-date",
          "startWithNewLine": false,
          "title": "Date the organization was formed",
          "inputType": "date"
        },
        {
          "type": "text",
          "name": "number-members",
          "title": "Number of members",
          "inputType": "number"
        },
        {
          "type": "text",
          "name": "number-employees",
          "startWithNewLine": false,
          "title": "Number of employees",
          "inputType": "number"
        },
        {
          "type": "paneldynamic",
          "name": "board-members",
          "title": "Board members or management representatives",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Member {panelIndex}",
          "addPanelText": "Add member",
          "templateElements": [
            {
              "type": "text",
              "name": "name",
              "title": "Name"
            },
            {
              "type": "text",
              "name": "address",
              "title": "Address",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "telephone",
              "title": "Telephone number",
              "inputType": "phone"
            },
            {
              "type": "text",
              "name": "email",
              "title": "Email address",
              "startWithNewLine": false,
              "inputType": "email"
            }
          ]
        }
      ]
    },
    {
      "name": "grant-details",
      "title": "3. Grant Information",
      "elements": [
        {
          "type": "text",
          "name": "grant-details-name",
          "title": "Name of the grant"
        },
        {
          "type": "text",
          "name": "grant-details-reference-number",
          "startWithNewLine": false,
          "title": "Government Offices reference number"
        },
        {
          "type": "text",
          "name": "grant-details-ministry",
          "title": "Ministry responsible for approving the grant (if known)"
        },
        {
          "type": "text",
          "name": "grant-details-amount",
          "startWithNewLine": false,
          "title": "Amount requested"
        }
      ]
    },
    {
      "name": "planned-activities",
      "title": "4. Planned Activities",
      "elements": [
        {
          "type": "comment",
          "name": "purpose",
          "title": "Purpose and objectives of the planned activities"
        },
        {
          "type": "comment",
          "name": "target-groups",
          "title": "Target groups"
        },
        {
          "type": "comment",
          "name": "planned-activities-question",
          "title": "Describe the planned activities"
        },
        {
          "type": "comment",
          "name": "own-contribution",
          "title": "Describe the applicant's own contribution to the activities"
        },
        {
          "type": "comment",
          "name": "need",
          "title": "Explain the need for the planned activities"
        },
        {
          "type": "panel",
          "name": "period",
          "title": "Period during which the activities will be carried out",
          "elements": [
            {
              "type": "text",
              "name": "from",
              "title": "From",
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "to",
              "startWithNewLine": false,
              "title": "To",
              "inputType": "date"
            }
          ]
        },
        {
          "type": "comment",
          "name": "gender",
          "title": "How will gender equality be considered in the planned activities?"
        },
        {
          "type": "paneldynamic",
          "name": "collaborations",
          "title": "Collaborating organizations or institutions (if applicable)",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Collaboration {panelIndex}",
          "addPanelText": "Add collaboration",
          "templateElements": [
            {
              "type": "text",
              "name": "organization",
              "title": "Organization or institution"
            },
            {
              "type": "comment",
              "name": "collaboration-description",
              "title": "Describe the collaboration",
              "rows": 2
            }
          ]
        },
        {
          "type": "comment",
          "name": "part",
          "title": "If only part of the grant is awarded, which activities will still be carried out?"
        }
      ]
    },
    {
      "name": "skills",
      "title": "5. Skills and Experience",
      "elements": [
        {
          "type": "comment",
          "name": "skills-prospects",
          "title": "Describe the applicant's ability to carry out the proposed activities"
        },
        {
          "type": "comment",
          "name": "skills-activities",
          "title": "Describe similar activities that have previously been conducted"
        },
        {
          "type": "file",
          "name": "skills-ani-corruption",
          "title": "Attach the applicant's anti-corruption policy or an equivalent document (if available)",
          "waitForUpload": true
        },
        {
          "type": "file",
          "name": "skills-risk-analysis",
          "startWithNewLine": false,
          "title": "Attach the applicant's risk analysis for the proposed activities (if available)",
          "waitForUpload": true
        },
        {
          "type": "comment",
          "name": "skills-other-information",
          "title": "Other information that supports the applicant's ability to carry out the activities"
        }
      ]
    },
    {
      "name": "references",
      "title": "6. References",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "references-panel",
          "title": "References",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Reference {panelIndex}",
          "addPanelText": "Add reference",
          "templateElements": [
            {
              "type": "text",
              "name": "name",
              "title": "Name"
            },
            {
              "type": "text",
              "name": "address",
              "title": "Address",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "telephone",
              "title": "Telephone number",
              "inputType": "phone"
            },
            {
              "type": "text",
              "name": "email",
              "title": "Email address",
              "startWithNewLine": false,
              "inputType": "email"
            }
          ]
        }
      ]
    },
    {
      "name": "other-information",
      "title": "7. Other Information",
      "elements": [
        {
          "type": "comment",
          "name": "other-information-box",
          "title": "Provide any additional information that may support this application"
        }
      ]
    }
  ],
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/app/components/pdf.component.css`

```css
/* You can add your custom CSS here. */
```

### `src/app/components/pdf.component.html`

```html
<survey [model]="model"></survey>
```

### `src/app/components/pdf.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { json } from "./json";
import "./pdf.component.css";
import "survey-core/survey-core.min.css";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./pdf.component.html",
    styleUrls: ["./pdf.component.css"]
})
export class SurveyPdfComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.showCompleteButton = false;
        survey.navigationButtonsLocation = "topBottom";
        survey.addNavigationItem({
            id: "survey_save_as_file",
            title: "Download PDF",
            action: () => {
                saveSurveyToPdf("surveyResult.pdf", survey);
            }
        });
        survey.addNavigationItem({
            id: "survey_pdf_preview",
            title: "Preview PDF",
            visible: window.navigator.pdfViewerEnabled,
            action: () => {
                previewPdf(survey);
            }
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyPdfComponent } from "./components/pdf.component";

@NgModule({
    declarations: [AppComponent, SurveyPdfComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;">
        <app-root></app-root>
    </div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css

```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "survey-pdf": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/template-grant-application-form-template/vanillajs.md)
